API Reference
Update a job template
PATCH
/api/job-templates/{id}
Update a job template
Operation IDupdateJobTemplate
Authentication
- BearerAuth
http bearerAPI key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.
Path parameters
idintegerrequiredResource ID
Request body
This request body is required.
Content typeapplication/json
requestobject4 properties
namestringdescriptionstringyaml_contentstringstatusstringSuccess response body
200Template updated with DAG
Template updated with DAG
Content typeapplication/json
responseobject9 properties
idintegernamestringdescriptionstring | nullyaml_contentstringstatusstringcreated_atstring · date-timeupdated_atstring · date-timedagobject | null2 properties
tasksobjectAdditional properties are allowed.
levelsarray<array<string>>Array items
itemarray<string>Array items
itemstringconnectorsobject | nullAdditional properties
valueobject1 property
typestringError responses
400Validation error
Validation error
Content typeapplication/json
responseobject2 properties
errorstringmessagestringExample response
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}